
package de.ivu.elect.presentation.wahlvorschlag.table;

import java.util.ArrayList;
import java.util.List;

import javax.inject.Named;

import de.ivu.elect.business.wahlvorschlag.entity.Liste;
import de.ivu.elect.jee.presentation.dynamictable.AbstractColumnBuilder;
import de.ivu.elect.jee.presentation.dynamictable.ColumnEntry;

@Named(WahlvorschlagColumnBuilder.COMPONENT_NAME)
public class WahlvorschlagColumnBuilder extends AbstractColumnBuilder<Liste> {

  private static final long serialVersionUID = 1L;

  public static final String COMPONENT_NAME = "wahlvorschlagColumnBuilder";

  /*
   * ELECT-9358, MOMENTAN nur als Fallback-Implementierung (statt unzulässigem null) verwendet, cf. WahlvorschlagSearchView!
   */

  public WahlvorschlagColumnBuilder() {
    super();
  }

  @Override
  protected void initColumns() {
    // Do nothing...
  }

  @Override
  protected List<ColumnEntry< ? super Liste>> getColumnEntriesSorted() {
    return new ArrayList<>();
  }
}
